Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-47147 Review third party libraries for new versions (2.8)
  3. MDL-47295

Upgrade AdoDB library to 5.19 for Moodle 2.8 release

    XMLWordPrintable

    Details

    • Type: Sub-task
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 2.8
    • Fix Version/s: 2.8
    • Component/s: Libraries
    • Labels:
    • Testing Instructions:
      Hide

      Shamelessly stole the instructions from MDL-38671.

      Run phpunit tests for all supported databases - auth_db and enrol_database should verify it works for at least the 5 supported drivers.

      Show
      Shamelessly stole the instructions from MDL-38671 . Run phpunit tests for all supported databases - auth_db and enrol_database should verify it works for at least the 5 supported drivers.
    • Affected Branches:
      MOODLE_28_STABLE
    • Fixed Branches:
      MOODLE_28_STABLE
    • Pull from Repository:
    • Pull Master Branch:
      MDL-47295-master
    • Story Points:
      5
    • Sprint:
      BACKEND Sprint 17

      Description

      Library: AdoDB
      Current version: 5.18
      Latest version: 5.19
      http://adodb.sourceforge.net/

      (this library used by auth plugins only)

      Make sure to update files:

      • lib/adodb/ (library itself)
      • lib/thirdpartylibs.xml (indicate the current version)
      • lib/adodb/readme_moodle.txt (indicate the current version and/or changes made)

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Fix Release Date:
                  10/Nov/14